Qt 5.6 | Qt Widgets | C++ Classes | QStyle

Qt 5.6.2 Reference Documentation

# Obsolete Members for QStyle

The following members of class QStyle are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` virtual QPixmap | standardPixmap(StandardPixmap standardPixmap, const QStyleOption *option = Q_NULLPTR, const QWidget *widget = Q_NULLPTR) const = 0

## Member Function Documentation

### `[pure virtual]` QPixmap QStyle::standardPixmap(StandardPixmap standardPixmap, const QStyleOption *option = Q_NULLPTR, const QWidget *widget = Q_NULLPTR) const

Returns a pixmap for the given standardPixmap.

A standard pixmap is a pixmap that can follow some existing GUI style or guideline. The option argument can be used to pass extra information required when defining the appropriate pixmap. The widget argument is optional and can also be used to aid the determination of the pixmap.

Developers calling standardPixmap() should instead call standardIcon() Developers who re-implemented standardPixmap() should instead re-implement standardIcon().

See also standardIcon().